Subject: Re: linux-next: manual merge of the tip tree with the kgdb tree

From: Jason Wessel <[email-masked]>
Date: Mon, 01 Feb 2010 09:46:26 -0600

Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the tip tree got a conflict in
> arch/x86/kernel/kgdb.c between commit
> 53a2aa296b5108e9bfdcda7f41221e721d9c7474 ("x86,hw_breakpoint,kgdb: kgdb
> to use hw_breakpoint API") from the kgdb tree and commit
> cc0967490c1c3824bc5b75718b6ca8a51d9f2617 ("x86, hw_breakpoints, kgdb: Fix
> kgdb to use hw_breakpoint API") from the tip tree.
>
> These two commits are similar but sufficiently different to make a mess.
> I effectively reverted the kgdb tree version and used the tip tree
> version.  This also involved reverting the kgdb tree changes to
> arch/x86/kernel/hw_breakpoint.c.  I hope I got it right (since I had to
> reapply a few other kgdb changes by hand) (an x86_64 allmodconfig build
> produces no new warnings or errors, so I have some hope).
>
> Someone should give me some guidance as to a way forward here, please.
>
>   

What is in tip is the correct version. 

It is the age old time dependency of who updates whose tree first, vs
when the linux-next merge runs.  At any rate this is already resolved.

Thanks,
Jason.